
Java Client - Bug #6955

D1Client returns MNode instances with no nodeId set
Status: Closed Start date: 2015-03-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

I was trying to figure out why I had blank authoritativeMemberNode values in my SystemMetata and tracked it down D1Client's node

building mechanism. It looks like the nodeRef used to look up and return an MNode implementation is not being set in the returned

MNode. So MNode.getNodeId(() returns null. It would be great if it knew its own nodeId without making a call to (itself) with

getCapabilities.

Associated revisions

Revision 15727 - 2015-06-03 23:25 - Rob Nahf

fixes #6955: added code to set the NodeID of D1Nodes in NodeListNodeLocator if it's null.

Revision 15727 - 2015-06-03 23:25 - Rob Nahf

fixes #6955: added code to set the NodeID of D1Nodes in NodeListNodeLocator if it's null.

History

#1 - 2015-06-03 23:14 - Rob Nahf

- Target version changed from CCI-2.0.0 to CLJ-2.0.0

#2 - 2015-06-03 23:23 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

added code to v1 and v2 NodeListLocator classes that sets the NodeID to D1Nodes when it's available. added unit tests.
